import java.util.*;

class AnsattRegister {
  public static void main(String[] args) {
    Ansatt a1 = new Deltidsansatt("Per");
    Ansatt a2 = new Heltidsansatt("Pl");
    HashMap hash = new HashMap();

    hash.put(a1.navn, a1);
    hash.put(a2.navn, a2);

    // Beregn bonus for alle objektene. For de som
    // er kredittverdige skrives det ogs ut kreditt.
    Iterator it = hash.values().iterator();

    while (it.hasNext()) {
      Ansatt a = (Ansatt) it.next();
      System.out.println("Bonus for " +
                       a.navn + ": " + a.beregnBonus());
      if (a instanceof Kredittverdig) {
        Kredittverdig k = (Kredittverdig) a;
        System.out.println("Kreditt: " + k.beregnKreditt());
      }
    }
  }
}